{
  pkgs,
  inputs,
  ...
}: let
  inherit (pkgs) system;
  nixvim = inputs.nixvim.legacyPackages.${system};
  icons = import ./config/icons.nix;
  pkgsMaster = inputs.master.legacyPackages.${system};
  nixvimModule = {
    pkgs = inputs.unstable.legacyPackages.${system};
    module = import ./config;
    extraSpecialArgs = {inherit icons pkgsMaster;};
  };
in
  nixvim.makeNixvimWithModule nixvimModule
